View Source

# namespace webdriver.testing.asserts

## Functions

### assertThat(failureMessageOrActualValue, actualValueOrMatcher, opt_matcher)code »

deprecated

Asserts that a matcher accepts a given value. This function has two signatures based on the number of arguments:

Two arguments: assertThat(actualValue, matcher) Three arguments: assertThat(failureMessage, actualValue, matcher)

Deprecated

  Use webdriver.testing.asserts.assert instead.

Parameters

failureMessageOrActualValue`*`

  Either a failure message or the value to apply to the given matcher.

actualValueOrMatcher`*`

  Either the value to apply to the given matcher, or the matcher itself.

opt_matcher`?goog.labs.testing.Matcher=`

  The matcher to use; ignored unless this function is invoked with three arguments.

Returns

`webdriver.promise.Promise`

  The assertion result.

### equalTo(expected)code »

Creates an equality matcher.

Parameters

expected`*`

  The expected value.

Returns

`goog.labs.testing.Matcher`

  The new matcher.